Summary: NSS library for DB
Name: nss_db
Version: 2.2
Release: 3
Source: ftp://sources.redhat.com/pub/glibc/releases/nss_db-%{version}.tar.gz
URL: http://sources.redhat.com/glibc/
Patch: nss_db-2.1.92-compat.patch
Copyright: GPL
Group: System Environment/Libraries
PreReq: /sbin/ldconfig
BuildPrereq: db3 >= 3.1.14
Conflicts: glibc < 2.2
Conflicts: db3 <= 3.1.14-6
Requires: make
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}

%description
Nss_db is a set of C library extensions which allow Berkeley Databases
to be used as a primary source of aliases, ethers, groups, hosts,
networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS).

Install nss_db if you flat name service files are too large and lookups
slow.

%package compat
Summary: NSS compatibility library for DB
Group: System Environment/Libraries
Prefix: %{_prefix}

%description compat
Nss_db-compat is a set of C library extensions which allow Berkeley Databases
to be used as a primary source of aliases, ethers, groups, hosts,
networks, protocol, users, RPCs, services and shadow
passwords (instead of or in addition to using flat files or NIS) from
programs linked against glibc 2.0.x.

%prep
%setup -q
mkdir nss_db-compat-%{version}
cd nss_db-compat-%{version}
tar xzf %{SOURCE0}; mv -f nss_db-%{version}/* .
%patch -p1 -b .compat
rm -rf nss_db-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make
cd nss_db-compat-%{version}
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/%{_lib} ${RPM_BUILD_ROOT}/var/db ${RPM_BUILD_ROOT}/%{_prefix}/bin
cp -a .libs/libnss_db.so.[0-9]* ${RPM_BUILD_ROOT}/%{_lib}/
cp -a db-Makefile ${RPM_BUILD_ROOT}/var/db/Makefile
install -m 755 makedb ${RPM_BUILD_ROOT}/%{_prefix}/bin
cd nss_db-compat-%{version}
cp -a .libs/libnss_db.so.[0-9]* ${RPM_BUILD_ROOT}/%{_lib}/

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS
/%{_lib}/libnss_db*2*
%{_prefix}/bin/makedb
/var/db/*

%ifnarch sparc64 ia64

%files compat
%defattr(-,root,root)
/%{_lib}/libnss_db*1*

%post compat -p /sbin/ldconfig

%postun compat -p /sbin/ldconfig

%endif

%changelog
* Tue Feb 27 2001 Nalin Dahyabhai <nalin@redhat.com>
- don't own /var/db, the filesystem package does

* Tue Feb 13 2001 Nalin Dahyabhai <nalin@redhat.com>
- require make (#27313)
- add the docs to the package

* Tue Dec 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 2.2

* Thu Sep 14 2000 Jakub Jelinek <jakub@redhat.com>
- separate from db3
